import { IContent, IEventRelation, MatrixEvent } from "matrix-js-sdk/src/matrix";
import { RoomPermalinkCreator } from "./permalinks/Permalinks";
export declare function getParentEventId(ev?: MatrixEvent): string | undefined;
export declare function stripPlainReply(body: string): string;
export declare function stripHTMLReply(html: string): string;
export declare function getNestedReplyText(ev: MatrixEvent, permalinkCreator?: RoomPermalinkCreator): {
    body: string;
    html: string;
} | null;
export declare function makeReplyMixIn(ev?: MatrixEvent): IEventRelation;
export declare function shouldDisplayReply(event: MatrixEvent): boolean;
interface AddReplyOpts {
    permalinkCreator?: RoomPermalinkCreator;
    includeLegacyFallback: false;
}
interface IncludeLegacyFeedbackOpts {
    permalinkCreator?: RoomPermalinkCreator;
    includeLegacyFallback: true;
}
export declare function addReplyToMessageContent(content: IContent, replyToEvent: MatrixEvent, opts: AddReplyOpts | IncludeLegacyFeedbackOpts): void;
export {};
